apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
    name: registry-prod-tls
    namespace: dev-stuff
spec:
    secretName: ENC[AES256_GCM,data:iEd6hN35iDbHXNzfhVOINck=,iv:mY5KE+86aSp/bSK4Uk8XyoGHoHOEdsL3Z7PXmfLLgcY=,tag:sGk5BehxZqun29DZ7REK+Q==,type:str]
    #ENC[AES256_GCM,data:SeogjQ591lg=,iv:08+b2AHHuCbMxiWfGvkkXT12W9lwjvb4+gt+keNoXoc=,tag:mo0WpqmxH0S2sc1w3Qvcbg==,type:comment]
    duration: ENC[AES256_GCM,data:/Uw/mYo=,iv:+LH9TO8Pcrvilggi+truSqIBpbI5LtCj5xMgZcyKtxo=,tag:1CcvyhcoUjpSVUl/een8dg==,type:str]
    #ENC[AES256_GCM,data:39fzmRcu0tc=,iv:VsVwaIhzDnpukSRm7Q1POcummZaWlSWQbSzshJkpxYk=,tag:xgFXk0VXl5RrfTfwYucl8g==,type:comment]
    renewBefore: ENC[AES256_GCM,data:2SBW9Q==,iv:gi0M7U8Fsu8AMvGiL9XLM0TgvoImudoxE/EQGx5K18Y=,tag:UzY24BjpmO/B+4y9qw798g==,type:str]
    subject:
        organizations:
            - ENC[AES256_GCM,data:+25j,iv:mNpd/cwn5uiNhrFOfqxTcySKCORCb4aQxtdaX9V9e3M=,tag:jEC6sJ+fyhYQliE2WDEdXw==,type:str]
    commonName: ENC[AES256_GCM,data:PjgyNuZ9ILJpLv29g9Q51cddkfgX5Q==,iv:4ZzjFgckcTmXgbYt6/BRhbc0CwkoG1P1qfUCLI3BG5U=,tag:5na6CdFsf0A3YgraNyMTgQ==,type:str]
    isCA: ENC[AES256_GCM,data:oQ/swYM=,iv:rlmOkvYG2ygtgTGmYw1bxYxxJB2QUVDn4SdGA8cLC48=,tag:S+3z9UyWoTeM4z6YX0pi2Q==,type:bool]
    privateKey:
        algorithm: ENC[AES256_GCM,data:3pHV,iv:W0w9X+JlXZPUufRcnSdHh4vKH51XDxcqIs242FxC1Eg=,tag:YzNQiTE7PtSM5sxhtGuCbg==,type:str]
        encoding: ENC[AES256_GCM,data:LwLe1Hs=,iv:ZLDAUE3J0QsNVOsKB62qMp+O3yAHN+QZti2Z8yT0reA=,tag:kmMrRp6dk57LxtujTEqaUg==,type:str]
        size: ENC[AES256_GCM,data:RKNQ/g==,iv:g3m7b3TBAJ+plWrpoPddtot5Ab1BO6WBkne1Vh83OxA=,tag:NWbgwLSSIS0g1m0ZEPip4w==,type:int]
    usages:
        - ENC[AES256_GCM,data:nla3zEKpRr03ZUk=,iv:OeIiMv+h5kfsdkN+mOT0wJqqOMiUdBdsDncl1TrXTtk=,tag:yNTWJH9bDa7Ata9lbTvWqw==,type:str]
        - ENC[AES256_GCM,data:l/FAd/EtVaFKf8E=,iv:B6N8hyVTnDK9frUbiJ1FWB5mmhxGb7+ssT+u5OZ6uUs=,tag:FyOircmAxXd/BUGcsW47TA==,type:str]
    dnsNames:
        - ENC[AES256_GCM,data:1f0Zoh+DenYDxXGHWId0LbCX9CPYkw==,iv:wKxxiLtDIjHCBXwSGvRus9w+eSbx9xnmHm4aeAJ2uuc=,tag:XuvdkcXVzkjKC0yD/dgoog==,type:str]
    issuerRef:
        name: ENC[AES256_GCM,data:wZr05lLchcwEoKhHWsBC+A==,iv:hBO84TFMb35qNBAmutAYHoCcoPvhtHyVPXL4l8TjcHA=,tag:SJltMjkQU1Fw9iiUT2IPKw==,type:str]
        kind: ClusterIssuer
        group: ENC[AES256_GCM,data:KelBr8Gm3fpWecYAvedQ,iv:sScX646u+wcWKxWNDEVPKMXmo5LD+uXUciFq3uZpmlg=,tag:9JOotUQGD2BqX4dAdkaiXQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSA4VzFmQ01IWXFnTXZMWHZZ
            TWFzd2xKMHRxclpheG9ZTll5Q1cwTHFPNVJzCkxXSXRlSDZuVnlQSDBOckNLRmp3
            SGdkRG1yNjNQS0QvVzNuYVJpZXZIYm8KLS0tIFkzZHlYNlNyaHZ5V2RkN2FtdkdG
            V3cvakRpbE80d3ZRMmtVdmg0VlBqRncKmPZRkKBRgwlYFDDMKpOCrGKWIKtlkbZK
            iLXw9hkdBA4xYDnzETnzwubc8qwars6N9WncU+0dx2f3lBpYWLncmg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:G5c/8nEokPgo7g8IurCGQ/yn8jmBUf6P1HS4EQBAkpsZfECea3J270ssm0+V+Z0S0tdf5MLckO61tpnOYfV7CjbzviAQk9guPJEAlTy1fk+1WtUOJJzX+9WVPl1Gmd845/Sy7ub+XAgrlsuYRJqaqjzpPw7nrG2gXySxIaGK/7o=,iv:8u3EdeojeNcEkO593Y6No9wvieqMAp6MhctaZGlY+0Y=,tag:XhOJ6r7z0f6wWpBImLCfOA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
    name: container-registry-pvc
    namespace: dev-stuff
spec:
    storageClassName: ENC[AES256_GCM,data:6koCjBH8zfYonQ==,iv:rwaQUk1CoFnr2vF4hUwxHOAZvavxFPoa2OFuwMOPRDc=,tag:fpX86o6C18c5dL1ONi4Q5Q==,type:str]
    accessModes:
        - ENC[AES256_GCM,data:XdiNwZTJEf46W5FxHA==,iv:bTXoU3c6J2sl6xBg7ojvUCiwZ8q7LSMWDXQEXe0pSuc=,tag:E3mKCg/ZK6a8BMc6yebWYg==,type:str]
    resources:
        requests:
            storage: ENC[AES256_GCM,data:R37g5w==,iv:99tyqeM8yKV5O0tNV1SKVnA1XNQz3qpHMOkT9yUH8dQ=,tag:I3nCAwghQBNQgmTEGPOXvA==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSA4VzFmQ01IWXFnTXZMWHZZ
            TWFzd2xKMHRxclpheG9ZTll5Q1cwTHFPNVJzCkxXSXRlSDZuVnlQSDBOckNLRmp3
            SGdkRG1yNjNQS0QvVzNuYVJpZXZIYm8KLS0tIFkzZHlYNlNyaHZ5V2RkN2FtdkdG
            V3cvakRpbE80d3ZRMmtVdmg0VlBqRncKmPZRkKBRgwlYFDDMKpOCrGKWIKtlkbZK
            iLXw9hkdBA4xYDnzETnzwubc8qwars6N9WncU+0dx2f3lBpYWLncmg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:G5c/8nEokPgo7g8IurCGQ/yn8jmBUf6P1HS4EQBAkpsZfECea3J270ssm0+V+Z0S0tdf5MLckO61tpnOYfV7CjbzviAQk9guPJEAlTy1fk+1WtUOJJzX+9WVPl1Gmd845/Sy7ub+XAgrlsuYRJqaqjzpPw7nrG2gXySxIaGK/7o=,iv:8u3EdeojeNcEkO593Y6No9wvieqMAp6MhctaZGlY+0Y=,tag:XhOJ6r7z0f6wWpBImLCfOA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: v1
kind: Service
metadata:
    labels:
        app: container-registry
    name: container-registry-svc
    namespace: dev-stuff
    annotations:
        metallb.universe.tf/allow-shared-ip: internal
spec:
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:KkaiCzO2gxOfYFtBiA==,iv:UP+o5XrlwRzfpFp/V7WjTwEKyLUU5aSvDV+AEeIsodE=,tag:Q54+2/rlyZAx4oOlX1zpdw==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:/EnHEQ==,iv:X7hCNRX9HZCuFXXGrFshlNGklQUB7sgMhTMklDfTXKc=,tag:5mOlo15E55eG6bFxvmzdsA==,type:int]
          protocol: ENC[AES256_GCM,data:NSDi,iv:QnhRuO29A7lSGrhoG+bonM+nxoEc1yMqaGZ5nCA2HSM=,tag:e8HWJ6zbaALC2lYKh+3vjg==,type:str]
          targetPort: ENC[AES256_GCM,data:qGEWKg==,iv:WNZyyLZUAm/pp/ZBPPsyD6z4oyD5aLXTcuNy080xO7o=,tag:ntDhBmX+hXC6zFI27dXQpQ==,type:int]
    selector:
        app: ENC[AES256_GCM,data:+rNrA4iv/A4fanaqoz2VcMPi,iv:SbqiYXTc4ysVMmYC69eAqQQKs1Xnoy7wZQAXB1fbzuU=,tag:VhpI5K82KmICmi4Aqueoug==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSA4VzFmQ01IWXFnTXZMWHZZ
            TWFzd2xKMHRxclpheG9ZTll5Q1cwTHFPNVJzCkxXSXRlSDZuVnlQSDBOckNLRmp3
            SGdkRG1yNjNQS0QvVzNuYVJpZXZIYm8KLS0tIFkzZHlYNlNyaHZ5V2RkN2FtdkdG
            V3cvakRpbE80d3ZRMmtVdmg0VlBqRncKmPZRkKBRgwlYFDDMKpOCrGKWIKtlkbZK
            iLXw9hkdBA4xYDnzETnzwubc8qwars6N9WncU+0dx2f3lBpYWLncmg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:G5c/8nEokPgo7g8IurCGQ/yn8jmBUf6P1HS4EQBAkpsZfECea3J270ssm0+V+Z0S0tdf5MLckO61tpnOYfV7CjbzviAQk9guPJEAlTy1fk+1WtUOJJzX+9WVPl1Gmd845/Sy7ub+XAgrlsuYRJqaqjzpPw7nrG2gXySxIaGK/7o=,iv:8u3EdeojeNcEkO593Y6No9wvieqMAp6MhctaZGlY+0Y=,tag:XhOJ6r7z0f6wWpBImLCfOA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: container-registry
    namespace: dev-stuff
    labels:
        app: container-registry
spec:
    replicas: ENC[AES256_GCM,data:tQ==,iv:1zWa6py3DLyixe8GXOStJ31OdEA3B/m9E7CByoW2atk=,tag:taPbXAn+jQhkl94AZGZphA==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:OZ1lxFiwt3iNUW5VsG774Na7,iv:dQasyvWB/AL1WDA2vHU2tTBSs24MfblieXPZKaZikAk=,tag:HW5mMffmnhxs0jtAhE080Q==,type:str]
    template:
        metadata:
            labels:
                app: container-registry
                name: container-registry
        spec:
            containers:
                - name: ENC[AES256_GCM,data:UT3k5Ug1KYU=,iv:JYUCH1bWsOxctclm3FhDlIPFS23nWJyExP8t+b9+xEU=,tag:PBTBFWDVQjYaYEDhhDkBaQ==,type:str]
                  image: ENC[AES256_GCM,data:hVTrgA/qutFMzT9L,iv:PCZz3l+NTqEDn19CmSysmxnYrKV+D8sp/oYfAC2hCsU=,tag:uOKkW8enQKM9wYmEK+P34Q==,type:str]
                  env:
                    - name: ENC[AES256_GCM,data:JTgptv6Azh3u+GcL2A==,iv:AeBZ3SKk9woDHnTj7jkdOgMOoXD7h2c3Tf218vJhfTQ=,tag:i1trEiIVEGN2FTsCypeTUQ==,type:str]
                      value: ENC[AES256_GCM,data:eJ7KqH/72qs=,iv:oxrBhovHcEiVD2H2I2shRg8CLl+KoLrpVUrU4zL4vJY=,tag:UMRNEqWA4tseZyJMR0QHRw==,type:str]
                    - name: ENC[AES256_GCM,data:UoiYTBymf6s5Uo/vVKMXuP5CcvdmrPJUzVs/qg==,iv:vZBbuNZK315kv5lKP6uQ3xwzGbnJNSrIk4Vr/AEvd2c=,tag:9fchp78teBvE/yjE3pOA4A==,type:str]
                      value: ENC[AES256_GCM,data:iTlf6mPMG+URMuza1Tg=,iv:NgEnEas6owBVjupUcnGLeW7j+pHKJPDWC89ksJnPo34=,tag:fgZiFHdxRiX1TDGi8U5h0A==,type:str]
                    - name: ENC[AES256_GCM,data:ksKXGkAI82Vgti2FFSOHa9pJTe+rR1pTD6p6,iv:riXz6cKKYU6lG9iUZ502oUtm1ndztyoWt6mqY7FIoQI=,tag:sOK5g/MIePnA0pORu+hJeQ==,type:str]
                      value: ENC[AES256_GCM,data:gWaRXii9wUjI2uCzJAA=,iv:9V5DTqsV5POryL9xSXAw+a//J7jOV1bYO2a/FapuYps=,tag:ZVL7AGeSdn0rrpgLumqDlQ==,type:str]
                    - name: ENC[AES256_GCM,data:PrG/4MrMJisb4hTNq8Ds8ujEv+yC,iv:D6UZNJAnTXOYeiqWKYkmK3lGUht6Fd67YBh8C4Q4TP0=,tag:pQXb3cXWrtRE5hStrzg0/Q==,type:str]
                      value: ENC[AES256_GCM,data:Vq9oS+hwYtRwoCQZHYGadg==,iv:RrLCZLC4a2uHL64Mc8CYZIcoa3z6i6ZN6Jq+ML/h48I=,tag:oUrESAnRqRytPfySvpj3ig==,type:str]
                    - name: ENC[AES256_GCM,data:P7idw3OyZeOUfOdL4WOfx6+izr1g/57O5kQIM4A=,iv:BW0Hal7L+GdN6ZbtDHMiNY+82mqHmv1cOSmH/xmbSVY=,tag:nGzQSsc4SY3Gt+/pmEiZwQ==,type:str]
                      value: ENC[AES256_GCM,data:4RcwuLXA64VYOF4/Xf4w1A==,iv:g0VeM59liOYuMTrqHqXbLTLNa7gduj0ft8jEJ0ftOMc=,tag:qcRjaAprpE8Zum2DX4vHkg==,type:str]
                    - name: ENC[AES256_GCM,data:yJmNl6u5ULoVLU7NEGZmU5NU,iv:lUi0r1o20eiC8hLi83PY/TZjWuHP0OVW1RHSY11w3n8=,tag:7YDh96sg+vJLF8ygtdoh3A==,type:str]
                      value: ENC[AES256_GCM,data:bfg1wrVPHw7tP4tmT6doFbNsIQkkJK/6Cu86zbU62XmnJog=,iv:ydq37Q1w0FzGB3mPaluRPKZMwVsfuisMARFfyTn2f+4=,tag:GUFJDkT9usmyRYjlCTYLmA==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:dHYNuQ==,iv:NuhAQBePSGoNeYv3Tx3EYBSuxeEJ0XK7BADH1soTKKE=,tag:v9KOS7RgFbfDl9XE00Uw5A==,type:int]
                  volumeMounts:
                    - name: ENC[AES256_GCM,data:ldtqB3v3N/y7UA5n,iv:4KyLYeQd2jxSqdm0Wn7P3xHr1AUTD/DIcjmMxfGKuuo=,tag:GwsF7AaD0pK+bXJZMRBIsw==,type:str]
                      mountPath: ENC[AES256_GCM,data:mWBQBYyOBJYDFvpLtczG2To=,iv:VLV45yzQ9Pty+hA4z4Sd1n19v8aNlcxuB7pdjlgR2h8=,tag:fb8jQbzPvO/jMgKSJvW1gQ==,type:str]
                    - name: ENC[AES256_GCM,data:m7n+PW2ZRMIkNHo24ve0A2Q=,iv:kRdLawm2lLWUl37O5hofgOaIrMrho6/imm33DOhFIRo=,tag:NCmt8ezARcWIL+PTIJwfcQ==,type:str]
                      mountPath: ENC[AES256_GCM,data:HSiB+gJcqEs=,iv:sWUDFEbaEiOxQZu0lZQemnFsx+uHvhOk69YDZqNkr6o=,tag:IaonImOohDGKSJdMU4GYOA==,type:str]
                    - name: ENC[AES256_GCM,data:jUF3V4tHlN0sJt2BBw==,iv:NY8hPWdvMaZ93mOK+ZyDE7gYnLF28LHJdxHujbx8oZM=,tag:Y9zA0HQ0GUPBPbUvvHl75Q==,type:str]
                      mountPath: ENC[AES256_GCM,data:KpIyYk8=,iv:Qcvmvb2kYie7UYOReX6KTCHPdhiyguXAjAAJXwA9CQ4=,tag:pg86Pm/oz7bDNEvufi4MAQ==,type:str]
                  resources: {}
            volumes:
                - name: ENC[AES256_GCM,data:8+TqqYkBHtyrrvIE,iv:1bbtzcFdv1wMg2y1t+EwL4ZqP6zlnLtKRU3lVFxU12Q=,tag:xdSxyILl4LiT/Y9Mp/sCLA==,type:str]
                  persistentVolumeClaim:
                    claimName: ENC[AES256_GCM,data:WEk1k9hEZFbg+r/LE7FnXIQr62Vn9g==,iv:4oyrYl0ReVwi5DnmBDsmBrFcGFLqOBrO3eAL2ONn6Is=,tag:L8XCRehImGvkB5RwWlNW+w==,type:str]
                - name: ENC[AES256_GCM,data:/Ok3PJBpZzt2kdaJOw4XpX8=,iv:35sdMrIGmBQLoJdZOY84TctHwDhlLYzj2PdW/TximsI=,tag:zwq8rBx6d6rgqd4hUhiv2g==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:pD0WKseXfRmTS2IhKvuAVdw=,iv:OHn4hwoQluVOKOUcva+vIQGV/kvKtA6SPBZnRABP2KQ=,tag:xDjY6fZs+zycXNqiHAIKVQ==,type:str]
                - name: ENC[AES256_GCM,data:xH7GVEov9M/YmVqx1w==,iv:LCV6CXD2b2ZSaXU/13mFblfPocUoh3hvNWu5rrNkC8U=,tag:EZ1mELCCYiprLjZmQ/a3wg==,type:str]
                  secret:
                    secretName: ENC[AES256_GCM,data:lhOhy/LkwgbB5wp6EA==,iv:IymQ+veIrH4g43yllQhJiu1K6XYTMmABIim0H3qgxOs=,tag:o3+L6cR7XMDrP4QKqdqHBw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSA4VzFmQ01IWXFnTXZMWHZZ
            TWFzd2xKMHRxclpheG9ZTll5Q1cwTHFPNVJzCkxXSXRlSDZuVnlQSDBOckNLRmp3
            SGdkRG1yNjNQS0QvVzNuYVJpZXZIYm8KLS0tIFkzZHlYNlNyaHZ5V2RkN2FtdkdG
            V3cvakRpbE80d3ZRMmtVdmg0VlBqRncKmPZRkKBRgwlYFDDMKpOCrGKWIKtlkbZK
            iLXw9hkdBA4xYDnzETnzwubc8qwars6N9WncU+0dx2f3lBpYWLncmg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:09Z"
    mac: ENC[AES256_GCM,data:G5c/8nEokPgo7g8IurCGQ/yn8jmBUf6P1HS4EQBAkpsZfECea3J270ssm0+V+Z0S0tdf5MLckO61tpnOYfV7CjbzviAQk9guPJEAlTy1fk+1WtUOJJzX+9WVPl1Gmd845/Sy7ub+XAgrlsuYRJqaqjzpPw7nrG2gXySxIaGK/7o=,iv:8u3EdeojeNcEkO593Y6No9wvieqMAp6MhctaZGlY+0Y=,tag:XhOJ6r7z0f6wWpBImLCfOA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
